#!/bin/sh

mem=$[`grep MemTotal /proc/meminfo | sed 's/[^0-9]//g'`*2]
threshold=$[384*1024*2]
test $mem -lt $threshold && mem=$threshold
total=8 # In Gb
root=$[$total*1000000*2-$mem-2194304]
test $root -lt 9000000 && root=9000000

#cat > /var/cache/alterator/vm-profile.scm << _EOF_
cat > ~/1 << _EOF_
((workstation
  (title . "Setup for workstation")
  (action . trivial)
  (actiondata  ("swap" (size $mem . $mem) (fsim . "SWAPFS") (methods plain))
               ("/" (size $root . $root ) (fsim . "Ext2/3") (methods plain))
               ("/home" (size 2194304 . #t) (fsim . "Ext2/3") (methods  plain))))
	       )
_EOF_
